org.apache.maven.scm.provider.local.command.checkout

## Class LocalCheckOutScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.checkout.CheckOutScmResult
    - - org.apache.maven.scm.provider.local.command.checkout.LocalCheckOutScmResult

- All Implemented Interfaces:
    Serializable

      public class LocalCheckOutScmResult
      extends CheckOutScmResult

  Version:
    $Id: LocalCheckOutScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.command.checkout.CheckOutScmResult

      `relativePathProjectDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalCheckOutScmResult(String commandLine, List files)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.scm.command.checkout.CheckOutScmResult

      `getCheckedOutFiles, getRelativePathProjectDirectory`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalCheckOutScmResult

          public LocalCheckOutScmResult(String commandLine,
                                List files)

Copyright © 2003–2015. All rights reserved.